Gatsby Build Succeeding Locally but Failing Deploy

My Gatsby site is building perfectly fine locally when I run netlify build with the Netlify CLI. But When I push the code to Github, triggering a branch deploy, the build fails.

Immediately after ‘Executing user command: gatsby build’, there’s a Syntax error that seems to be coming from the gatsby-cli package. But the fact that it’s working just fine locally is what is weird. I’ve even run npm install -D gatsby-cli just in case with no improvement. The issue is only on my project’s development branch. Main branch builds no problem.

Any ideas on what could be causing this issue? Any help is much appreciated!

Project Info

Most Recent Failed Build Log

6:59:31 PM: Build ready to start
6:59:32 PM: build-image version: 8e315e54bc4032a32e73290be556cde4f8348c12
6:59:32 PM: build-image tag: v2.8.2
6:59:32 PM: buildbot version: 45cd00068410d70db72c9672cdd014995488e12a
6:59:32 PM: Fetching cached dependencies
6:59:32 PM: Failed to fetch cache, continuing with build
6:59:32 PM: Starting to prepare the repo for build
6:59:33 PM: No cached dependencies found. Cloning fresh repo
6:59:33 PM: git clone https://github.com/jacobdcastro/personal-site
6:59:35 PM: Preparing Git Reference refs/heads/development
6:59:36 PM: Found netlify.toml. Overriding site configuration
6:59:36 PM: Creating functions prep folder
6:59:36 PM: Starting build script
6:59:36 PM: Installing dependencies
6:59:37 PM: Downloading and installing node v8.17.0...
6:59:37 PM: Downloading https://nodejs.org/dist/v8.17.0/node-v8.17.0-linux-x64.tar.xz...
6:59:37 PM: #
6:59:37 PM: #######################
6:59:37 PM:  33.7%
6:59:37 PM: 
#######################################
6:59:37 PM: ################################# 100.0%
6:59:37 PM: Computing checksum with sha256sum
6:59:37 PM: Checksums matched!
6:59:39 PM: Now using node v8.17.0 (npm v6.13.4)
6:59:40 PM: Attempting ruby version 2.3.6, read from environment
6:59:41 PM: Using ruby version 2.3.6
6:59:41 PM: Using PHP version 5.6
6:59:41 PM: Started restoring cached node modules
6:59:41 PM: Finished restoring cached node modules
6:59:41 PM: Installing NPM modules using NPM version 6.13.4
7:01:09 PM: > oniguruma@7.2.1 install /opt/build/repo/node_modules/oniguruma
7:01:09 PM: > node-gyp rebuild
7:01:10 PM: make: Entering directory `/opt/build/repo/node_modules/oniguruma/build'
7:01:10 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regcomp.o
7:01:12 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regenc.o
7:01:12 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regerror.o
7:01:12 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regexec.o
7:01:13 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regext.o
7:01:13 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/reggnu.o
7:01:14 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regparse.o
7:01:15 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regposerr.o
7:01:15 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regposix.o
7:01:15 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regsyntax.o
7:01:15 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regtrav.o
7:01:15 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/regversion.o
7:01:15 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/st.o
7:01:15 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/ascii.o
7:01:15 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/big5.o
7:01:15 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/cp1251.o
7:01:15 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/euc_jp.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/euc_kr.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/euc_tw.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/gb18030.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_1.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_2.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_3.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_4.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_5.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_6.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_7.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_8.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_9.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_10.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_11.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_13.o
7:01:16 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_14.o
7:01:17 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_15.o
7:01:17 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/iso8859_16.o
7:01:17 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/koi8.o
7:01:17 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/koi8_r.o
7:01:17 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/mktable.o
7:01:17 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/sjis.o
7:01:17 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/unicode.o
7:01:18 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/utf16_be.o
7:01:18 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/utf16_le.o
7:01:18 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/utf32_be.o
7:01:18 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/utf32_le.o
7:01:18 PM:   CC(target) Release/obj.target/oniguruma/deps/onig/enc/utf8.o
7:01:18 PM:   AR(target) Release/obj.target/oniguruma.a
7:01:18 PM:   COPY Release/oniguruma.a
7:01:18 PM:   CXX(target) Release/obj.target/onig_scanner/src/onig-result.o
7:01:19 PM:   CXX(target) Release/obj.target/onig_scanner/src/onig-reg-exp.o
7:01:19 PM:   CXX(target) Release/obj.target/onig_scanner/src/onig-scanner.o
7:01:20 PM:   CXX(target) Release/obj.target/onig_scanner/src/onig-scanner-worker.o
7:01:21 PM:   CXX(target) Release/obj.target/onig_scanner/src/onig-searcher.o
7:01:22 PM:   CXX(target) Release/obj.target/onig_scanner/src/onig-string.o
7:01:23 PM:   SOLINK_MODULE(target) Release/obj.target/onig_scanner.node
7:01:23 PM:   COPY Release/onig_scanner.node
7:01:23 PM: make: Leaving directory `/opt/build/repo/node_modules/oniguruma/build'
7:01:23 PM: > sharp@0.25.4 install /opt/build/repo/node_modules/sharp
7:01:23 PM: > (node install/libvips && node install/dll-copy && prebuild-install --runtime=napi) || (node-gyp rebuild && node install/dll-copy)
7:01:24 PM: info sharp Downloading https://github.com/lovell/sharp-libvips/releases/download/v8.9.1/libvips-8.9.1-linux-x64.tar.gz
7:01:26 PM: > websocket@1.0.31 install /opt/build/repo/node_modules/websocket
7:01:26 PM: > (node-gyp rebuild 2> builderror.log) || (exit 0)
7:01:26 PM: make: Entering directory `/opt/build/repo/node_modules/websocket/build'
7:01:26 PM:   CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
7:01:27 PM:   SOLINK_MODULE(target) Release/obj.target/bufferutil.node
7:01:27 PM:   COPY Release/bufferutil.node
7:01:27 PM:   CXX(target) Release/obj.target/validation/src/validation.o
7:01:28 PM:   SOLINK_MODULE(target) Release/obj.target/validation.node
7:01:28 PM:   COPY Release/validation.node
7:01:28 PM: make: Leaving directory `/opt/build/repo/node_modules/websocket/build'
7:01:29 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/bmp/node_modules/core-js
7:01:29 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:29 PM: Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!
7:01:29 PM: The project needs your help! Please consider supporting of core-js on Open Collective or Patreon: 
7:01:29 PM: > https://opencollective.com/core-js 
7:01:29 PM: > https://www.patreon.com/zloirock 
7:01:29 PM: Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)
7:01:29 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/core/node_modules/core-js
7:01:29 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:29 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/custom/node_modules/core-js
7:01:29 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:29 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/gif/node_modules/core-js
7:01:29 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:29 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/jpeg/node_modules/core-js
7:01:29 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:29 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-blit/node_modules/core-js
7:01:29 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:29 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-blur/node_modules/core-js
7:01:29 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:29 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-circle/node_modules/core-js
7:01:29 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:30 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-color/node_modules/core-js
7:01:30 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:30 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-contain/node_modules/core-js
7:01:30 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:30 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-cover/node_modules/core-js
7:01:30 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:30 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-crop/node_modules/core-js
7:01:30 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:30 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-displace/node_modules/core-js
7:01:30 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:30 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-dither/node_modules/core-js
7:01:30 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:30 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-fisheye/node_modules/core-js
7:01:30 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:30 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-flip/node_modules/core-js
7:01:30 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:30 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-gaussian/node_modules/core-js
7:01:30 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:31 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-invert/node_modules/core-js
7:01:31 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:31 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-mask/node_modules/core-js
7:01:31 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:31 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-normalize/node_modules/core-js
7:01:31 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:31 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-print/node_modules/core-js
7:01:31 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:31 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-resize/node_modules/core-js
7:01:31 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:31 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-rotate/node_modules/core-js
7:01:31 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:31 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-scale/node_modules/core-js
7:01:31 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:31 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-shadow/node_modules/core-js
7:01:31 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-threshold/node_modules/core-js
7:01:32 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugins/node_modules/core-js
7:01:32 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/png/node_modules/core-js
7:01:32 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/tiff/node_modules/core-js
7:01:32 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/types/node_modules/core-js
7:01:32 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/utils/node_modules/core-js
7:01:32 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:32 PM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/core-js
7:01:32 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:33 PM: > core-js-pure@3.6.4 postinstall /opt/build/repo/node_modules/core-js-pure
7:01:33 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/jimp/node_modules/core-js
7:01:33 PM: > node -e "try{require('./postinstall')}catch(e){}"
7:01:34 PM: > gatsby-telemetry@1.3.11 postinstall /opt/build/repo/node_modules/gatsby-telemetry
7:01:34 PM: > node src/postinstall.js || true
7:01:34 PM: > cwebp-bin@5.1.0 postinstall /opt/build/repo/node_modules/cwebp-bin
7:01:34 PM: > node lib/install.js
7:01:35 PM:   ✔ cwebp pre-build test passed successfully
7:01:35 PM: > mozjpeg@6.0.1 postinstall /opt/build/repo/node_modules/mozjpeg
7:01:35 PM: > node lib/install.js
7:01:36 PM:   ✔ mozjpeg pre-build test passed successfully
7:01:36 PM: > pngquant-bin@5.0.2 postinstall /opt/build/repo/node_modules/pngquant-bin
7:01:36 PM: > node lib/install.js
7:01:36 PM:   ✔ pngquant pre-build test passed successfully
7:01:37 PM: > gatsby-cli@2.12.46 postinstall /opt/build/repo/node_modules/gatsby/node_modules/gatsby-cli
7:01:37 PM: > node scripts/postinstall.js
7:01:37 PM: > gatsby@2.23.4 postinstall /opt/build/repo/node_modules/gatsby
7:01:37 PM: > node scripts/postinstall.js
7:01:37 PM: > gatsby-cli@2.12.46 postinstall /opt/build/repo/node_modules/gatsby-cli
7:01:37 PM: > node scripts/postinstall.js
7:01:37 PM: > styled-components@4.4.1 postinstall /opt/build/repo/node_modules/styled-components
7:01:37 PM: > node ./scripts/postinstall.js || exit 0
7:01:37 PM: Use styled-components at work? Consider supporting our development efforts at https://opencollective.com/styled-components
7:01:48 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules/fsevents):
7:01:48 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
7:01:48 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.1.3 (node_modules/chokidar/node_modules/fsevents):
7:01:48 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.3: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
7:01:48 PM: added 3554 packages from 1552 contributors and audited 3629 packages in 125.952s
7:01:55 PM: 169 packages are looking for funding
7:01:55 PM:   run `npm fund` for details
7:01:55 PM: found 306 low severity vulnerabilities
7:01:55 PM:   run `npm audit fix` to fix them, or `npm audit` for details
7:01:55 PM: NPM modules installed
7:01:55 PM: Started restoring cached go cache
7:01:55 PM: Finished restoring cached go cache
7:01:55 PM: Installing Go version 1.10
7:02:02 PM: unset GOOS;
7:02:02 PM: unset GOARCH;
7:02:02 PM: export GOROOT='/opt/buildhome/.gimme_cache/versions/go1.10.linux.amd64';
7:02:02 PM: export PATH="/opt/buildhome/.gimme_cache/versions/go1.10.linux.amd64/bin:${PATH}";
7:02:02 PM: go version >&2;
7:02:02 PM: export GIMME_ENV="/opt/buildhome/.gimme_cache/env/go1.10.linux.amd64.env"
7:02:02 PM: go version go1.10 linux/amd64
7:02:02 PM: Installing missing commands
7:02:02 PM: Verify run directory
7:02:02 PM: Executing user command: gatsby build
7:02:04 PM: /opt/build/repo/node_modules/gatsby-cli/lib/init-starter.js:117
7:02:04 PM:   } catch {
7:02:04 PM:           ^
7:02:04 PM: SyntaxError: Unexpected token {
7:02:04 PM:     at createScript (vm.js:80:10)
7:02:04 PM:     at Object.runInThisContext (vm.js:139:10)
7:02:04 PM:     at Module._compile (module.js:617:28)
7:02:04 PM:     at Object.Module._extensions..js (module.js:664:10)
7:02:04 PM:     at Module.load (module.js:566:32)
7:02:04 PM:     at tryModuleLoad (module.js:506:12)
7:02:04 PM:     at Function.Module._load (module.js:498:3)
7:02:04 PM:     at Module.require (module.js:597:17)
7:02:04 PM:     at require (internal/module.js:11:18)
7:02:04 PM:     at Object.<anonymous> (/opt/build/repo/node_modules/gatsby-cli/lib/create-cli.js:28:20)
7:02:04 PM: Function Dir: /opt/build/repo/functions
7:02:04 PM: TempDir: /tmp/zisi-210842539
7:02:09 PM: Prepping functions with zip-it-and-ship-it 0.3.1
7:02:10 PM: [ { path: '/tmp/zisi-210842539/addNewEmailSub.zip',
7:02:10 PM:     runtime: 'js' },
7:02:10 PM:   { path: '/tmp/zisi-210842539/contact.zip', runtime: 'js' },
7:02:10 PM:   { path: '/tmp/zisi-210842539/getMailchimpList.zip',
7:02:10 PM:     runtime: 'js' } ]
7:02:10 PM: Prepping functions complete
7:02:10 PM: Caching artifacts
7:02:10 PM: Started saving node modules
7:02:10 PM: Finished saving node modules
7:02:10 PM: Started saving pip cache
7:02:10 PM: Finished saving pip cache
7:02:10 PM: Started saving emacs cask dependencies
7:02:10 PM: Finished saving emacs cask dependencies
7:02:10 PM: Started saving maven dependencies
7:02:10 PM: Finished saving maven dependencies
7:02:10 PM: Started saving boot dependencies
7:02:10 PM: Finished saving boot dependencies
7:02:10 PM: Started saving go dependencies
7:02:12 PM: Finished saving go dependencies
7:02:15 PM: Error running command: Build script returned non-zero exit code: 7
7:02:15 PM: Failing build: Failed to build site
7:02:15 PM: failed during stage 'building site': Build script returned non-zero exit code: 7
7:02:15 PM: Finished processing build request in 2m42.980815011s

netlify.toml

[build]
  publish = "public/"
  command = "gatsby build"
  functions = "functions/"

[dev]
  command = "npm start"
  functions = "functions/"
  framework = "#custom"
  port = 14141 
  targetPort = 1414
  publish = "public/"

System Info (from gatsby info)


  System:
    OS: Windows 10 10.0.18362
    CPU: (8) x64 Intel(R) Core(TM) i5-8250U CPU @ 1.60GHz
  Binaries:
    Node: 14.1.0 - C:\Program Files\nodejs\node.EXE
    Yarn: 1.19.1 - C:\Program Files (x86)\Yarn\bin\yarn.CMD
    npm: 6.14.5 - C:\Program Files\nodejs\npm.CMD
  Languages:
    Python: 3.8.2 - /c/Python38/python
  Browsers:
    Edge: 44.18362.449.0
  npmPackages:
    gatsby: ^2.23.4 => 2.23.4 
    gatsby-cli: ^2.12.46 => 2.12.46 
    gatsby-image: ^2.4.7 => 2.4.7 
    gatsby-plugin-eslint: ^2.0.8 => 2.0.8 
    gatsby-plugin-google-analytics: ^2.3.4 => 2.3.4 
    gatsby-plugin-lodash: ^3.3.4 => 3.3.4 
    gatsby-plugin-manifest: ^2.4.11 => 2.4.11 
    gatsby-plugin-mdx: ^1.2.15 => 1.2.15 
    gatsby-plugin-offline: ^3.2.10 => 3.2.10 
    gatsby-plugin-react-helmet: ^3.3.4 => 3.3.4 
    gatsby-plugin-robots-txt: ^1.5.1 => 1.5.1 
    gatsby-plugin-sharp: ^2.6.11 => 2.6.11 
    gatsby-plugin-sitemap: ^2.4.5 => 2.4.5 
    gatsby-plugin-styled-components: ^3.3.4 => 3.3.4 
    gatsby-plugin-typography: ^2.5.4 => 2.5.4 
    gatsby-plugin-web-font-loader: ^1.0.4 => 1.0.4 
    gatsby-remark-images: ^3.3.10 => 3.3.10 
    gatsby-remark-prismjs: ^3.5.4 => 3.5.4 
    gatsby-remark-vscode: ^2.1.2 => 2.1.2 
    gatsby-source-filesystem: ^2.3.11 => 2.3.11 
    gatsby-transformer-remark: ^2.8.16 => 2.8.16 
    gatsby-transformer-sharp: ^2.5.5 => 2.5.5 
  npmGlobalPackages:
    gatsby-cli: 2.12.45

Build Settings Screenshot

Included just in case!
Capture

Hey @jacobdcastro,
Checking out some of your older deploys, it looks like this issue started here, in March:
https://app.netlify.com/sites/jacobdcastro/deploys/5ed4736b7812750007db3638

The commit associated with that deploy is here:

I’d check if deleting the // comments and re-deploying fixes things for you- I may be wrong but I think you can’t comment like that in JSON. Let us know how it goes!